# Class LoadDraggedFile

java.lang.Object
org.apache.jmeter.gui.action.LoadDraggedFile

public class LoadDraggedFile extends Object
Handles the loading of a file from a Drag and Drop action.

## Constructor Summary

Constructors
Constructor
Description
`LoadDraggedFile()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`loadProject(ActionEvent e, File file)`
Loads dragged file asking before for save if current open file is dirty.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoadDraggedFile

public LoadDraggedFile()

## Method Details

### loadProject

public static void loadProject(ActionEvent e, File file)
Loads dragged file asking before for save if current open file is dirty.

Parameters:
  `e` - `ActionEvent`
  `file` - File to Load